#ifndef DICT_H_
#define DICT_H_

struct dict_entry {
	char *name;
	void *value;
	struct dict_entry *next;
};

struct dict {
	int nelements;
	struct dict_entry **props;
};

struct dict *
dict_make(void);

void
dict_put(struct dict *pt, const char *name, void *value);

void *
dict_get(struct dict *pt, const char *name);

void
dict_free(struct dict *pt, void(*free_data)(void *));

void
dict_map(struct dict *pt, void(*mapper)(void *value, void *extra), void *extra);

#endif /* DICT_H_ */
